Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

21 Октябрь 2017, 13:23 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
Новости: Вы можете задать вопрос по LibreOffice или Apache OpenOffice  без регистрации, используя форму
 
   Начало   Помощь Поиск Войти Регистрация    задать вопрос  
Страниц: 1   Вниз
  Печать  
Автор Тема: Доброго времени суток всем!Недавно посетила мысль "по?...  (Прочитано 291 раз)
0 Пользователей и 1 Гость смотрят эту тему.
ForumOOo (бот)
Ветеран
*****
Offline Offline

Сообщений: 597


« Стартовое сообщение: 6 Март 2017, 15:56 »

Компонент: Basic
Версия продукта: 5.x
Сборка: LibreOffice
ОС: Windows7

Доброго времени суток всем!Недавно посетила мысль "подружить" Open Office calc 5.2 с AutoСad 2011.
Замысел прост допустим есть расчётный шаблон, из которого мне нужно передать данные для прорисовки в AutoСad 2011.
Сам додумался только до вот этого:

Sub Main
Dim acad as object
Dim doc as object
Dim p1()as double rem массив с плавающей точкой
Dim p2() as variant rem массив типа вариант

p1()=Array(500.0,500.0,0.0) rem сохраняем в объявленный массив типа дубль координаты с точкой
p2()=Array(1000.0,400.0,0.0)
acad = CreateObject("AutoCAD.Application.18") rem создаём объект фвтокада, чтобы потом обратиться к нему
Wait(3000)rem приостанавливаем работу программы до полной прогрузки автокада

acad.Visible=True rem устанавливаем видимость объекту автокада
acad.WindowState=3
acad.ActiveDocument.Layers.Add("tyu")rem эта строка кода создаёт в объекте автокада слой с именем tyu
acad.ActiveDocument.ActiveSpace=1 rem активация пространства листа

rem слой создаётся с модели в лист и нааборот переходит какого х....на не создаёшь мне точку?!!!

Wait(1000)rem задержка выполнения программы
acad.ActiveDocument.SendCommand "_.Circle 2,2,0 4 "rem ура прочертил круг!!!из под командной строки

acad.ActiveDocument.ModelSpace.AddPoint(p1) rem этой строкой переходим в пространство модели, создаём точку
 rem именно на этой строке выдаёт ошибку.
End Sub

Заранее хочу всех поблагодарить кто хоть как откликнется. Сам решить так и не смог, работает не стабильно, но работает.
Ошибка выходит только тогда, когда нужно передать безопасный массив(не распознаёт сам автокад, тот массив который передаётся LibreOffice Calc
)


--
Подпись: ximic
Записан
Страниц: 1   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!